Description

The situation occurs when | have a data set with columns that are text and have code definitions associated with the text. When I'm
not finished with the table but need to log out for some reason, | click save for later. When | reopen the data package and navigate to
the data table of interest (that was partially complete), the text columns with coded definitions have been repopulated with the codes
from the table. My previously entered code definitions are still there, but the codes themselves have now been duplicated and | have
to manually remove them for any previous column of this type of data.

History

#1 - 07/12/2016 04:57 PM - Jing Tao

- Status changed from New to In Progress

Those code definition were from the initial data when an attribute page was generated.

| added a switch to generate the attribute page with/without the initial data. When we uploaded an incompleted page, morpho will not load the initial
data. This issue is gone.

Ben, would you please test it again? Thanks!

#2 - 07/12/2016 05:35 PM - ben leinfelder

It looks like you committed to an older branch (1.10) when we are on 1.11.x here:
https://code.ecoinformatics.org/code/morpho/branches/MORPHO _1_11_0/

| was trying it out and finally realized why nothing had changed! :)

#3 - 07/12/2016 06:59 PM - Jing Tao
| committed to MORPHO_1_11_0_BRANCH.

#4 - 07/14/2016 10:01 AM - Jing Tao
- Status changed from In Progress to Resolved

- Assignee changed from ben leinfelder to Jing Tao

The problem is the page loaded both the initial default information and saved the information. The code was modified and the initial information will
not uploaded. So only the saved information will loaded.
The problem was fixed on the 1-10 branch, 1-11 branch and trunk.
